/*** TRIPLOG DETAIL ***/
.oeamtc-form__input--select {
	padding-right: 2rem;
}
.triplog-row {
   display: flex;
   margin: 1rem -1rem 0 0;
   align-items: flex-end;
}
.triplog-row__single {
	display: flex;
	align-items: flex-end;
	flex: 1 1 100%;
 }
.triplog-row__wrap {
   display: flex;
   align-items: flex-end;
   flex-wrap: wrap;
   flex: 1 1 100%;
}
.triplog-form__label {
   display: inline-block;
   white-space: nowrap;
   color: #8D99AE;
}
.triplog-row__item {
   margin: 0 1rem 1rem 0;
}
.triplog-row__label {
   display: inline-block;
   white-space: nowrap;
   padding: 0 1rem;
   flex: 0 1 6rem;
   height: 2.75rem;
   line-height: 2.75rem;
   border-radius: .3rem;
   background-color: #ffdc00;
}
.triplog-row__label--start {
   background-color: #45a617;
   color: white;
}
.triplog-row__label--ziel {
   background-color: #0071bb;
   color: white;
}
.triplog-row__item--address {
   flex: 3 0 12rem;
}
.triplog-row__item--time,
.triplog-row__item--odo {
   flex: 1 1 8rem;
}
.triplog-addhalt {
	position: relative;
	height: 1rem;	
}
.triplog-addhalt__btn {
	position: absolute;
	top: .75rem;
}
.triplog-input {
	margin-left: -0.3rem;
	padding-left: 0.3rem;
}

/*** TRIPLOG NAV ***/
.oeamtc-triplog__nav {
	display: flex;
	justify-content: space-around;
}
.oeamtc-triplog__navitem {
	text-align: center;
	padding: 1rem;
	flex: 1;
}
.oeamtc-triplog__navitem--active {
	color: black;
}

.oeamtc-triplog__navitem:hover {
	background-color: #F6F6F6;
}

/*** TRIPLOG MAP ***/
.triplog-mapteaser {
	display: block;
	cursor: pointer;
	overflow: hidden;
	height: 10rem;
	background-color: #C8BFC7;
}
.triplog-mapteaser__img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	vertical-align: bottom;
}


/*** EDITABLEBLOCKS ***/
.triplog-editableblock {
   position: relative;
   transition: background-color .3s ease;
}
.triplog-editableblock:focus-within {
   background-color: #dbffcd;
}
.triplog-editableblock .oeamtc-form__input,
.triplog-editableblock .oeamtc-form__inputwrap {
   border-color: transparent;
   cursor: pointer;
   text-overflow: ellipsis;
   -webkit-text-fill-color: #000000;
}

.triplog-editableblock .oeamtc-form__input:hover,
.triplog-editableblock .oeamtc-form__inputwrap:hover,
.triplog-editableblock:focus-within .oeamtc-form__input,
.triplog-editableblock:focus-within .oeamtc-form__inputwrap {
   border-color: #C8BFC7;
}
.triplog-editableblock:focus-within .oeamtc-form__input,
.triplog-editableblock:focus-within .oeamtc-form__inputwrap {
   cursor: inherit;
   -webkit-text-fill-color: initial;
}
.triplog-editableblock:focus-within .triplog-buttonline {
	visibility: visible;
}
.triplog-buttonline {
	position: relative;
	top: .6rem;
	left: .6rem;
	visibility: hidden;
	text-align: right;
}

/*** TRIP LOG ***/
.triplog-grid {
    display: grid;
	grid-template-columns: 1fr 1fr 1fr;
}
.triplog-header {
	border-bottom: 1px solid #C8BFC7;
	background-color: #F6F6F6;
	line-height: 3rem;
	padding: 0 1rem;
	font-weight: 700;
}
.triplog-trip__zone {
	font-weight: 700;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}
.triplog-trip__zonesuggest {
	position: relative;
	z-index: 1;
	font-weight: 500;
	background-color: #ffdc00;
	border-radius: 2rem;
	line-height: 2rem;
	padding: 0 .5rem 0 .8rem;
	display: inline-flex;
	align-items: center;
	gap: .3rem;
	white-space: nowrap;
	text-overflow: ellipsis;
}
.triplog-trip__address {
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}
.triplog-trip__truncate {
	overflow: hidden;
	flex-grow: 1;
}
.triplog-trip__basicdata {
	display: flex;
	line-height: 30px;
	border-radius: 5px;
	background-color: rgba(128,128,128,.2);
	padding: 5px;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}
.triplog-keyval {
	display: inline-block;
	white-space: nowrap;
	padding: 0 5px;
}
.triplog-keyval + .triplog-keyval {
	border-left: 1px solid rgba(128,128,128,.2);
}
.triplog-keyval__val {
	font-weight: 700;
}

/*** STATISTIK ***/
.triplog-statistik__label {
	width: 20%;
	min-width: 8rem;
}
.triplog-statistik__label svg {
	flex: 0 0 auto;
}

/*** CAR HEALTH ***/

.triplog-carhealth__eye {
	width: 50%;
	height: auto;
	margin: auto;
	max-width: 15rem;
}
@media screen and (max-width: 800px) {
   .triplog-row {
      display: block;
   }
   .triplog-trip__basicdata {
	   display: none;
   }
   .triplog-row__item--address {
		flex: 3 0 auto;
 	}
	.triplog-row__label {
		display: none;
	 }
	.oeamtc-triplog__nav {
		position: fixed;
		z-index: 2;
		bottom: 0;
		width: 100%;
		padding-bottom: env(safe-area-inset-bottom);
		margin: 0;
	}
}